com.hazelcast.jet.accumulator

## Class MutableReference<T>

- java.lang.Object
- - com.hazelcast.jet.accumulator.MutableReference<T>

- Type Parameters:
    `T` - referenced object type

      public class MutableReference<T>
      extends Object

  Mutable container of an object reference.
  Since:
    3.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableReference()` Creates a new instance with a `null` value.
    `MutableReference(T value)` Creates a new instance with the specified value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `T` | `get()` Returns the current value.
    `int` | `hashCode()`
    `boolean` | `isNull()` Tells whether the current value is `null`.
    `MutableReference` | `set(T value)` Sets the value as given.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MutableReference

          public MutableReference()

      Creates a new instance with a `null` value.

    - #### MutableReference

          public MutableReference(T value)

      Creates a new instance with the specified value.

  - ### Method Detail

    - #### get

          public T get()

      Returns the current value.

    - #### isNull

          public boolean isNull()

      Tells whether the current value is `null`.

    - #### set

          public MutableReference set(T value)

      Sets the value as given.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020. All rights reserved.